#!/bin/env dls-python
import PandATest
import LvdsLB
import TtlLB

"""
LVDS and TTL Loop Back (LB) tests combined
"""


class Plugged(PandATest.PandATest):

    def __init__(self, *args, **kwargs):
        super(Plugged, self).__init__(*args, **kwargs)
        self.lp = LvdsLB.LvdsLB(*args, **kwargs)
        self.tp = TtlLB.TtlLB(*args, **kwargs)

    def test_code(self):
        self.lp.test_code()
        self.tp.test_code()

    def get_summary(self):
        summary = ["{:<10}{:<10} ERRORS: {}".format(
                                                self.lp.__class__.__name__,
                                                self.blocknum,
                                                self.lp.test_result.count(0)),
                   "{:<10}{:<10} ERRORS: {}".format(
                                                self.tp.__class__.__name__,
                                                self.blocknum,
                                                self.tp.test_result.count(0)),
        ]
        return summary

    def get_user_input(self):
        inputy = '.'
        while inputy not in ['']:
            print "Loopback connecters connected, OK ? [return]"
            inputy = raw_input()